@font-face {
	font-family: "netbar-icons";
	src: url(https://gamepedia.cursecdn.com/hydra/fonts/netbar-icons.eot) format("embedded-opentype"), url(https://gamepedia.cursecdn.com/hydra/fonts/netbar-icons.woff) format("woff"), url(https://gamepedia.cursecdn.com/hydra/fonts/netbar-icons.ttf) format("truetype"), url(https://gamepedia.cursecdn.com/hydra/fonts/netbar-icons.svg) format("svg");
	font-weight: 400;
	font-style: normal;
}

html {
	min-height: 100%;
}

html body {
	height: calc(100% - 30px) !important;
	margin-top: 30px !important;
	position: relative;
}

div#netbar {
	background: #121212;
	border-bottom: 1px solid #000;
	color: #aeaeae;
	font-family: 'Open Sans', sans-serif !important;
	font-size: 12px !important;
	height: 30px;
	left: 0;
	position: absolute;
	top: -30px;
	width: 100%;
	z-index: 1001;
}

#netbar .netbar-flex {
	align-content: center;
	align-items: center;
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: left;
	margin: 0;
	padding: 0;
	width: 100%;
}

#netbar .netbar-box {
	flex: 0 0 auto;
	height: 30px;
	line-height: 2.5em;
	padding: 0 .5em;
}

#netbar .netbar-box.left {
	border-right: 1px solid #353535;
}
#netbar .netbar-box.right {
	border-left: 1px solid #353535;
}

#netbar .netbar-box:hover {
	background: #222;
}
#netbar .netbar-box.live-on-twitch:hover {
	background-color: #6441A4;
}

#netbar .netbar-spacer {
	flex: 1 1 auto;
}

#netbar a {
	color: #aeaeae;
	text-decoration: none;
}

#netbar a.aqua-link {
	color: #00d6d6;
	font-weight: 700;
}

#netbar a.aqua-link:hover {
	color: #fff;
}

#netbar .netbar-box.logo {
	transition: width 500ms;
	width: 282px;
}

#netbar .netbar-box.logo a {
	background-image: linear-gradient(transparent,transparent),url(../images/netbar/logo.svg);
	background-position: center center;
	background-repeat: no-repeat;
	background: url(../images/netbar/gamepedia-powered-by-fandom-logo.png);
	display: block;
	overflow: hidden;
	text-indent: -500px;
	transition: width 500ms;
	white-space: nowrap;
	width: 282px;
}

@media screen and (max-width: 700px) {
	#netbar .netbar-box.logo, #netbar .netbar-box.logo a {
		width: 24px;
	}
}

#netbar span.label-development {
	color: red;
	font-weight: 700;
}

#netbar span.label-hostname {
	color: #ff0;
	font-weight: 700;
}

#netbar .netbar-box.officialwiki a, #netbar .netbar-box.officialwiki img {
	display: block;
	margin-top: .5em;
	height: 18px;
	width: 90px;
}

#netbar .netbar-box.has-drop {
	cursor: pointer;
	position: relative;
}

#netbar .netbar-box.links span.cog::after {
	color: #b9b9b9;
	content: '\e602';
	display: block;
	font-family: 'netbar-icons';
	font-size: 14px;
	font-style: normal;
}

#netbar .netbar-box.has-drop ul, #netbar .netbar-box.has-drop ul li {
	list-style: none;
}

#netbar .netbar-box ul.dropdown {
	background: #121212;
	border-top: none;
	border: 1px solid #000;
	box-shadow: 0 2px 6px rgba(0,0,0,0.3);
	display: none;
	margin: 0;
	padding: 0;
	position: absolute;
	top: 30px;
	z-index: 1002;
}

#netbar .netbar-box.left ul.dropdown {
	left: 0;
}

#netbar .netbar-box.right ul.dropdown {
	right: 0;
}

#netbar .netbar-box:hover ul.dropdown {
	display: block;
}

#netbar .netbar-box ul.dropdown li {
	box-sizing: border-box;
	line-height: initial;
	width: 100%;
}

#netbar .netbar-box ul.dropdown li:hover {
	background: #222;
}

#netbar .netbar-box ul.dropdown li a {
	display: block;
	padding: 8px 5px;
}

#netbar .netbar-box.user > a {
	display: block;
	height: 30px;
	transition: width 500ms;
	white-space: nowrap;
}

@media screen and (max-width: 700px) {
	#netbar .netbar-box.user > a {
		overflow: hidden;
		width: 20px;
	}
}

#netbar .netbar-box.user .avatar {
	height: 20px;
	margin-right: 5px;
	width: 20px;
}

#netbar .netbar-box.echo li {
	height: 30px;
	line-height: 30px;
	list-style: none;
	margin: 0;
	padding: 0 5px 0 0;
	position: relative;
}

#netbar .mw-echo-notifications-badge:before {
	filter: invert(100%);
}

#netbar #pt-notifications-alert .mw-echo-notifications-badge, #netbar #pt-notifications-notice .mw-echo-notifications-badge {
	display: block;
	line-height: 30px;
}

#netbar #pt-notifications-alert .mw-echo-notifications-badge::before, #netbar #pt-notifications-notice .mw-echo-notifications-badge::before {
	background-position-y: 10px;
	background-size: 80%;
	display: block;
	height: 30px;
	line-height: 30px;
	position: relative;
	top: 1000px;
	width: 24px;
}

#netbar #pt-notifications-alert .mw-echo-notifications-badge::after, #netbar #pt-notifications-notice .mw-echo-notifications-badge::after {
	background: transparent;
	border: none;
	display: block;
	font-size: 1em;
	left: auto;
	line-height: 30px;
	min-width: 24px;
	position: absolute;
	right: -12px;
	text-align: right;
	text-shadow: rgb(18, 18, 18) 2px 0px 0px, rgb(18, 18, 18) 1.75px 0.966667px 0px, rgb(18, 18, 18) 1.08333px 1.68333px 0px, rgb(18, 18, 18) 0.133333px 2px 0px, rgb(18, 18, 18) -0.833333px 1.81667px 0px, rgb(18, 18, 18) -1.6px 1.2px 0px, rgb(18, 18, 18) -1.98333px 0.283333px 0px, rgb(18, 18, 18) -1.86667px -0.7px 0px, rgb(18, 18, 18) -1.3px -1.51667px 0px, rgb(18, 18, 18) -0.416667px -1.95px 0px, rgb(18, 18, 18) 0.566667px -1.91667px 0px, rgb(18, 18, 18) 1.41667px -1.41667px 0px, rgb(18, 18, 18) 1.91667px -0.566667px 0px;
	top: 1005px;
	visibility: visible;
}

#netbar .netbar-box.echo li div {
	line-height: initial;
}

/* Netbar in Development and Staging */
.env-development > #netbar::after,
.env-staging > #netbar::after {
	/* Subtle in development */
	background: rgba(255,0,0,0.8);
	color: #fff;
	display: block;
	text-align: center;
	padding: 3px 0px 4px 0px;
	font-size: 14px;
}

.env-development > #netbar::after {
	content: "You are currently using the Development Environment";
}

.env-staging > #netbar::after {
	content: "You are currently using the Staging Environment";
}

body.mw-apisandbox-fullscreen #netbar {
	display: none;
}
